.menu--main.menu--level-0 .menu__summary a::after, .menu--main.menu--level-0 .menu__title-link::after, .menu--main.menu--level-1 > .menu__item--has-submenu > .menu__content .menu__cta-link a::after, .menu--main.menu--level-0 .menu__submenu-container > .menu__content .menu__cta-link a[href^=http] span::after, .menu--main.menu--level-0 .menu__submenu-container > .menu__content .menu__cta-link a[href*="/download"] span::after {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  display: inline-block;
  font-feature-settings: normal;
  font-style: normal;
  font-synthesis: none;
  font-variant: normal;
  line-height: 1;
  text-align: center;
  text-rendering: auto;
}

.menu--main.menu--level-0 .menu__submenu-container > .menu__content .menu__cta-link a {
  text-decoration: none;
  line-height: 1.5;
  font-size: 1rem;
  font-weight: 700;
  position: relative;
  letter-spacing: -0.342px;
}
.menu--main.menu--level-0 .menu__submenu-container > .menu__content .menu__cta-link a span {
  display: inline-flex;
  border: 1px solid;
  border-color: var(--cta-secondary--border-color);
  padding-block: 5.89824px;
  padding-inline: 9.216px;
  color: var(--cta-secondary--color);
  background: var(--cta-secondary--bg-color);
  position: relative;
  z-index: 2;
  transition: inherit;
  align-items: center;
  gap: 0.5em;
}
.menu--main.menu--level-0 .menu__submenu-container > .menu__content .menu__cta-link a::after {
  content: "";
  position: absolute;
  inset: 0;
  background: linear-gradient(to bottom, rgba(from var(--cta-secondary--gradient-1) r g b/0.75), rgba(from var(--cta-secondary--gradient-2) r g b/0.75));
  z-index: 1;
  border-radius: inherit;
  filter: blur(10px);
  transition: inherit;
  opacity: 0;
}
.menu--main.menu--level-0 .menu__submenu-container > .menu__content .menu__cta-link a:hover span, .menu--main.menu--level-0 .menu__submenu-container > .menu__content .menu__cta-link a:focus span {
  background-color: var(--cta-secondary--bg-color--active, var(--cta-secondary--bg-color));
  color: var(--cta-secondary--color--active, var(--cta-secondary--color));
  border-color: var(--cta-secondary--border-color--active);
}
.menu--main.menu--level-0 .menu__submenu-container > .menu__content .menu__cta-link a:hover::after, .menu--main.menu--level-0 .menu__submenu-container > .menu__content .menu__cta-link a:focus::after {
  opacity: 1;
  transition: opacity 200ms ease-in-out;
}
.menu--main.menu--level-0 .menu__submenu-container > .menu__content .menu__cta-link a {
  font-size: 0.8rem;
  letter-spacing: -0.274px;
}
.menu--main.menu--level-0 .menu__submenu-container > .menu__content .menu__cta-link a::after {
  display: none;
}
.menu--main.menu--level-0 .menu__submenu-container > .menu__content .menu__cta-link a span {
  padding-block: 4.718592px;
  padding-inline: 7.3728px;
}

.menu--main.menu--level-0 .menu__submenu-container > .menu__content .menu__cta-link a[href^=http] span::after {
  font-family: "Font Awesome 7 Sharp Solid";
  content: "\e09f";
  font-size: 0.75em;
}

.menu--main.menu--level-0 .menu__submenu-container > .menu__content .menu__cta-link a[href*="/download"] span::after {
  font-family: "Font Awesome 7 Sharp Regular";
  content: "\e094";
  font-size: 0.75em;
}

.menu--main.menu--level-1 > .menu__item--has-submenu > .menu__content .menu__cta-link a {
  color: var(--cta-continuation--color);
  display: inline-flex;
  align-items: center;
  text-decoration: none;
  font-weight: 700;
  letter-spacing: -0.274px;
  gap: 7.3728px;
}
.menu--main.menu--level-1 > .menu__item--has-submenu > .menu__content .menu__cta-link a::after {
  font-family: "Font Awesome 7 Sharp Solid";
  content: "\f054";
  font-size: 0.75em;
  transition: all 200ms ease-in-out;
}
.menu--main.menu--level-1 > .menu__item--has-submenu > .menu__content .menu__cta-link a:hover, .menu--main.menu--level-1 > .menu__item--has-submenu > .menu__content .menu__cta-link a:focus {
  color: var(--cta-continuation--color--active, var(--cta-continuation--color));
}
.menu--main.menu--level-1 > .menu__item--has-submenu > .menu__content .menu__cta-link a:hover::after, .menu--main.menu--level-1 > .menu__item--has-submenu > .menu__content .menu__cta-link a:focus::after {
  translate: 5.89824px 0;
}

.menu--main .menu__title-link a {
  --a--text-underline-offset: 22.5%;
  color: var(--a--color--active, var(--a--color, currentColor));
  background-color: var(--a--bg-color--active, var(--a--bg-color));
  text-decoration-line: var(--a--text-decoration-line--active, var(--a--text-decoration-line, underline));
  text-decoration-thickness: var(--a--text-decoration-thickness--active, 20%);
  text-decoration-color: var(--a--text-decoration-color--active, var(--a--text-decoration-color));
}

.menu--main {
  --a--text-decoration-line: none;
  --a--text-decoration-line--active: underline;
  --a--text-decoration-thickness: 0;
}
.menu--main .menu__submenu-wrapper {
  background-color: var(--bg-color);
  padding-inline: var(--safe-area-inline);
}
.menu--main .menu__submenu-wrapper:has(.menu__item > .menu__group-title) {
  width: 100%;
}
@media (width > 64em) {
  .menu--main .menu__submenu-wrapper {
    padding-block: 18px;
    padding-inline: 35.15625px;
    margin-inline: calc(35.15625px * -1);
    border-left: 3px solid var(--border-highlight);
    margin-top: calc(18px * -1);
    position: absolute;
    top: 0;
    z-index: 2;
  }
}
.menu--main .menu__content > * + * {
  margin-top: 14.4px;
}
.menu--main .menu__title-link {
  white-space: nowrap;
}
@media (width < 64em) {
  .menu--main .menu__title-link {
    display: none;
  }
}
.menu--main .menu__description {
  --p--font-size: 0.64rem;
  --p--line-height: 1.333;
  --p--margin: 0 0 9.216px 0;
  color: var(--deemphasis);
}
.menu--main .menu__description p a {
  --a--font-size: 1rem;
  --a--font-weight: 400;
  --a--text-decoration-line--active: underline;
}
.menu--main.menu--level-0 {
  display: flex;
  -moz-column-gap: 28.125px;
       column-gap: 28.125px;
  row-gap: 35.15625px;
  position: relative;
}
.menu--main.menu--level-0 .menu__details[open] .menu__title-link::after {
  rotate: 180deg;
}
.menu--main.menu--level-0 .menu__submenu-container {
  display: grid;
}
.menu--main.menu--level-0 .menu__submenu-container > .menu__content {
  order: -1;
}
.menu--main.menu--level-0 .menu__submenu-container:has(.menu__item > .menu__group-title) .menu--level-1 {
  display: grid;
  row-gap: 18px;
}
@media (width > 64em) {
  .menu--main.menu--level-0 .menu__submenu-container:has(.menu__item > .menu__group-title) {
    -moz-column-gap: 35.15625px;
         column-gap: 35.15625px;
    grid-template-columns: min-content 1fr;
    grid-template-rows: auto 1fr;
    row-gap: 22.5px;
  }
  .menu--main.menu--level-0 .menu__submenu-container:has(.menu__item > .menu__group-title) .menu--level-1 {
    --li--margin: 0;
    grid-column: 2;
    grid-row: 2;
    grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
    -moz-column-gap: 35.15625px;
         column-gap: 35.15625px;
  }
  .menu--main.menu--level-0 .menu__submenu-container:has(.menu__item > .menu__group-title) > .menu__content {
    grid-column: 1;
    grid-row: 2;
  }
}
.menu--main.menu--level-0 .menu__summary a::after,
.menu--main.menu--level-0 .menu__title-link::after {
  font-size: 0.85em;
  margin-left: 4.718592px;
}
.menu--main.menu--level-0 .menu__summary a::after {
  font-family: "Font Awesome 7 Sharp Solid";
  content: "\f078";
}
.menu--main.menu--level-0 .menu__title-link::after {
  font-family: "Font Awesome 7 Sharp Solid";
  content: "\f078";
  color: var(--interactive-text--color--active);
  rotate: 0deg;
  transition: rotate 100ms ease-in-out;
}
@media (width < 64em) {
  .menu--main.menu--level-0 {
    flex-direction: column;
  }
  .menu--main.menu--level-0 .menu__summary {
    --summary--margin--open: 0 var(--safe-area-inline);
  }
  .menu--main.menu--level-0 .menu__summary a::after {
    display: none;
  }
  .menu--main.menu--level-0 > .menu__item {
    --summary--font-size: 1.5625rem;
    --summary--display: block;
  }
  .menu--main.menu--level-0 > .menu__item + .menu__item .menu__summary {
    border-top: 1px solid var(--border-decoration);
    padding-top: 18px;
  }
  .menu--main.menu--level-0 > .menu__item + .menu__item:not(.menu__item--has-submenu) a {
    --a--margin: 0 var(--safe-area-inline);
    --a--display: block;
    --a--padding: 18px 0 0 0;
    --a--font-size: 1.5625rem;
    border-top: 1px solid var(--border-decoration);
  }
}
.menu--main.menu--level-1 {
  --a--font-size: 0.8rem;
  --a--color: var(--deemphasis);
  --list--line-height: 1.25;
  --li--margin: 9.216px 0 0 0;
}
.menu--main.menu--level-1:not(:has(.menu__item > .menu__group-title)) > .menu__item {
  max-width: 15rem;
}
.menu--main.menu--level-1 > .menu__item--has-submenu > span {
  line-height: 1.333;
  font-size: clamp(1.25rem, 1.25rem + 0vw, 1.25rem);
}
@media (width > 64em) {
  .menu--main.menu--level-1 > .menu__item--has-submenu > span {
    font-weight: 700;
  }
}
.menu--main.menu--level-1 > .menu__item--has-submenu > .menu__content {
  margin-top: 9.216px;
}
.menu--main.menu--level-2 {
  --a--font-size: 0.8rem;
  --a--color: var(--deemphasis);
  --list--line-height: 1.25;
  --li--margin: 9.216px 0 0 0;
}
